package com.usky.system.service.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.time.LocalDateTime;

/**
 *
 * @author fyc
 * @email yuchuan.fu@chinausky.com
 * @date 2025/4/8
 */
@Data
public class MceReceiveResponseVO {
    /**
     * 消息类型
     */
    private String infoType;

    /**
     * 消息id
     */
    private Integer mceId;

    /**
     * 消息标题
     */
    private String infoTitle;

    /**
     * 消息内容id
     */
    private Integer contentId;

    /**
     * 消息内容
     */
    private String infoContent;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 跳转id
     */
    private Integer moduleId;
}
